
        <html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Таймер</title>
            <script>
  // глобальная переменная, хранящая идентификатор таймера
  var timer;
  //Функция для запуска таймера
  function startClock() {
    //если переменная timer содержит ложь по правилу лжи (т.е. таймер не запущен)
    if (!timer) {
      //запустить таймер, который будет вызвать функцию outClock() каждую секунду (1с = 1000мс)
      //идентификатор данного таймера сохраним в переменную timer (т.е. теперь переменная timer равна истине по правилу лжи).
      timer = window.setInterval("outClock()",1000);
    }
  }
  // функция для вывода даты и времени в элемент с id="clock"
  function outClock() {
    //переменная, хранящая текущую дату и время
    var nowDateTime = new Date();
    //Выводим строку, содержащую дату и время в элемент с id="clock"
    document.getElementById("clock").innerHTML = nowDateTime.toLocaleTimeString();
  }
  // функция для остановки таймера
  function stopClock() {
    //если переменная timer содержит истину по правилу лжи (т.е. таймер запущен)
    if(timer) {
      //прекращаем работу таймера
      window.clearInterval(timer);
      //присваиваем переменной timer значение null, чтобы таймер опять можно было запустить
      timer=null;
      //Выводим пустую строку в элемент с id="clock"
      document.getElementById("clock").innerHTML="";
    }
  }
function resetClock() {
   timer=null;}

</script>
<p id="clock"></p>
<a href="javaScript:startClock()">3anycтить таймер</a>
<br />
<a href="javaScript:stopClock()">Остановить таймер</a>
<a href="javaScript:resetClock()">Сбросить</a>
        </script>
 
    </body>
</html>
 